#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var inquirer_1 = __importDefault(require("inquirer"));
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
var formSubmit_1 = require("./lib/formSubmit");
var buf;
inquirer_1.default.prompt([
    {
        type: "list",
        message: "Choose Language",
        name: "language",
        choices: ["Typescript"]
        // choices : ["Typescript", "Javascript"]
    },
    {
        type: "list",
        message: "Choose Form",
        name: "form",
        choices: ["FormSubmit", "Table"]
        //  choices : ["FormSubmit", "FormDelete", "Table", "Admin Panel"]
    }
]).then(function (answer) {
    var filepath;
    /**
     * ============
     * FORM SUBMIT
     * ============
     */
    if (answer.language == 'Typescript' && answer.form == 'FormSubmit') {
        filepath = path_1.default.resolve(__dirname, "../src/assets/typescript/FormSubmit.tsx");
        buf = fs_1.default.readFileSync(filepath).toString();
        inquirer_1.default.prompt([
            {
                "type": "input",
                "name": "FormName",
                "message": "Name of the component"
            }
        ]).then(function (ans) {
            var fieldArray = [];
            buf = buf.replace("Example", ans.FormName);
            formSubmit_1.inputLoop("", "", "", buf, ans.FormName, fieldArray);
        }).catch(function (err) { return console.log(err); });
    }
    /**
     * ==============
     * TABLE
     * ==============
     */
    if (answer.language == 'Typescript' && answer.form == 'Table') {
        filepath = path_1.default.resolve(__dirname, "../src/assets/typescript/Table.tsx");
        buf = fs_1.default.readFileSync(filepath).toString();
        inquirer_1.default.prompt([
            {
                "type": "input",
                "name": "FormName",
                "message": "Name of the component"
            }
        ]).then(function (ans) {
            var fieldArray = [];
            buf = buf.replace("Example", ans.FormName);
            fs_1.default.writeFileSync(ans.FormName + ".tsx", buf);
        }).catch(function (err) { return console.log(err); });
    }
});
//# sourceMappingURL=index.js.map